Subject: Re: bug#60630: [PATCH] guix: channels: Add description field.

From: "jgart" <[email-masked]>
Date: Tue, 10 Jan 2023 02:38:14 +0000

Hi Ludo and Liliana,

Now after thinking more about and discussing my previous proposal with people I also agree with you that it is not the best approach.

> Right, I agree. What use case did you have in mind, jgart?

See the search that we are building here:

https://toys.whereis.みんな/

toys is a channel webring in the form of a web API. It currently allows searching for public symbols (parses docstring info if available), services, and packages across the Guix channels that are part of the webring channels.scm file: https://git.sr.ht/~whereiseveryone/toys/tree/master/item/channels.scm

We'd like to be able to have a standardized way to get a channel description in the same way that we have a standardized way to get a description or synopsis of a package.

In other words, we want to make it easy to describe each channel for the users that subscribe to that channel or are browsing channels for stuff that they might want to use.

> Most likely, a description could go to the ‘.guix-channel’ file, if it’s

unmatched-paren had suggested this very idea to me yesterday.

unmatched-paren also mentioned the following:

> you'd also want to change guix/scripts/pull.scm to display the description when a new channel addition is announced

Feel free to close this ticket and when I get some free time I'll try to send a patch implementing the description field to `.guix-channel`.

If you have any other suggestions before I send that patch proposal for review feel free to comment now or then.

all best,

jgart

* https://git.sr.ht/~whereiseveryone/toys/
* https://en.wikipedia.org/wiki/Webring